package com.example.warthunder.Api

import android.text.TextUtils.split
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.warthunder.Models.Vehicles
import com.example.warthunder.VehicleActivity
import com.example.warthunder.databinding.ItemVehiclesBinding

class AdapterVehicles(private val listener: Listener, public val activity: VehicleActivity):RecyclerView.Adapter<AdapterVehicles.VehiclesHolder>() {
    private val ListVehicles = ArrayList<Vehicles>()

    public var num: Int = 200
    class VehiclesHolder(item: View, public val activity: VehicleActivity): RecyclerView.ViewHolder(item){
        private val binding = ItemVehiclesBinding.bind(item)
        fun bind(vehicles: Vehicles, listener: Listener) = with(binding){
          itemVehicleName.text = vehicles.identifier
            itemVehicleCountry.text = "Страна: " + vehicles.country
            itemVehicleType.text = "Тип техники: " + vehicles.vehicle_type
            itemVehicleBrRealistic.text = "Боевой рейтинг: " + vehicles.realistic_br.toString()
            ItemsVehicles.setOnClickListener{
                listener.OnClick(vehicles)

            }
            VehicleBtnCount.setOnClickListener{
                VehicleActivity.vehicle = vehicles
                activity.Next()
            }
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): VehiclesHolder {
        val view = LayoutInflater.from(parent.context).inflate(com.example.warthunder.R.layout.item_vehicles, parent, false)
        return VehiclesHolder(view, activity)
    }

    override fun getItemCount(): Int {
        return num
    }

    override fun onBindViewHolder(holder: VehiclesHolder, position: Int) {
        holder.bind(ListVehicles[position], listener)

    }
    interface Listener{
        fun OnClick(vehicles: Vehicles)
    }
    fun AddVehicles(vehicles: Vehicles){
        ListVehicles.add(vehicles)
        notifyDataSetChanged()
    }
}