package com.example.warthunder.Api

import com.google.gson.GsonBuilder
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.converter.scalars.ScalarsConverterFactory
import retrofit2.create

object ApiHttp {
    private val WT_URL = "http://wtvehiclesapi.sgambe.serv00.net/api/"
    val interceptor = HttpLoggingInterceptor()
    val HttpClient = OkHttpClient.Builder()
        .addInterceptor(interceptor)
        .build()
    val gsonBuilder = GsonBuilder()
        .setLenient()
        .create()
    val retrofit = Retrofit.Builder()
        .addConverterFactory(ScalarsConverterFactory.create())
        .addConverterFactory(GsonConverterFactory.create(gsonBuilder))
        .baseUrl(WT_URL)
        .client(HttpClient)
        .build()
    val retrofitApi: ApiRequest get() = retrofit.create(ApiRequest::class.java)
}