package com.example.warthunder

import android.content.Intent
import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.util.Log
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import com.example.warthunder.Api.AdapterVehicles
import com.example.warthunder.Api.ApiHttp
import com.example.warthunder.Models.Vehicles
import com.example.warthunder.databinding.ActivityExpBinding
import com.example.warthunder.databinding.ActivityVehicleBinding
import okhttp3.internal.notify
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class ExpActivity: AppCompatActivity() {
    lateinit var binding: ActivityExpBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityExpBinding.inflate(layoutInflater)
        setContentView(binding.root)
        Count()
        binding.BackBtn.setOnClickListener{
            startActivity(Intent(this@ExpActivity, VehicleActivity::class.java))
        }
    }

    fun Count(){
        binding.DefText.addTextChangedListener(FieldWatcher(this))
        binding.DefPointText.addTextChangedListener(FieldWatcher(this))
        binding.AtkPointText.addTextChangedListener(FieldWatcher(this))
        binding.TimeText.addTextChangedListener(FieldWatcher(this))
        binding.KillText.addTextChangedListener(FieldWatcher(this))
        binding.SupportText.addTextChangedListener(FieldWatcher(this))
    }
    fun Calculate(){
        var defpoint: Int = if (binding.DefPointText.text.count() == 0) 0 else binding.DefPointText.text.toString().toInt()
        var def: Int = if (binding.DefText.text.count() == 0) 0 else binding.DefText.text.toString().toInt()
        var atkpoint: Int = if (binding.AtkPointText.text.count() == 0) 0 else binding.AtkPointText.text.toString().toInt()
        var time: Int = if (binding.TimeText.text.count() == 0) 0 else binding.TimeText.text.toString().toInt()
        var kill: Int = if (binding.KillText.text.count() == 0) 0 else binding.KillText.text.toString().toInt()
        var support: Int = if (binding.SupportText.text.count() == 0) 0 else binding.SupportText.text.toString().toInt()
        var exp = (kill * 100 + support * 50 + time * 1 + atkpoint * 2 + defpoint * 1 + def/50 * 2).toDouble() * (if(VehicleActivity.vehicle!!.is_premium) 1.5f else 1f) * (0.1 * VehicleActivity.vehicle!!.era + 1)
        binding.ExpItog.text = exp.toInt().toString()
        var ser = (kill * 5000 + support * 2000 + time * 100 + atkpoint * 250 + defpoint * 100 + def/50 * 700).toDouble() * (if(VehicleActivity.vehicle!!.is_premium) 2.5f else 1f) * (0.1 * VehicleActivity.vehicle!!.era + 1)
        binding.SerItog.text = ser.toInt().toString()
    }
}
class FieldWatcher(var activity: ExpActivity): TextWatcher{
    override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {
    }

    override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {

    }

    override fun afterTextChanged(s: Editable?) {
        try{
            s.toString().toInt()
        }
        catch (ex:Exception){
           s!!.clear()
        }
        activity.Calculate()
    }

}