package com.example.warthunder

import android.os.Bundle
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import com.example.warthunder.Models.Vehicles
import com.example.warthunder.databinding.FragmentItemListDialogListDialogItemBinding
import com.example.warthunder.databinding.FragmentItemListDialogListDialogBinding

const val ARG_ITEM_COUNT = "item_count"

class ItemListDialogFragment : BottomSheetDialogFragment() {

    private var _binding: FragmentItemListDialogListDialogBinding? = null

    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {

        _binding = FragmentItemListDialogListDialogBinding.inflate(inflater, container, false)
        return binding.root

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val results = arguments?.getSerializable("iteminformation") as Vehicles
        with(binding){
vehicleName.text = results.identifier
            vehicleEra.text = "Ранг: " + results.era
            arcadeBr.text = " Аркада: "+results.arcade_br.toString()
            simBr.text = "Симулятор: "+results.simulator_br.toString()
            date.text = "Дата выхода: " + results.release_date.toString()
            isPrem.text = "Является премиальным: "+if(results.is_premium == true) "Да" else "Нет"
            isGift.text = "Является подарком: "+if(results.is_gift == true) "Да" else "Нет"
exp.text = "Цена опыта: "+results.req_exp.toString()
            ser.text = "Цена серебра: "+results.ge_cost.toString()
        }
    }

}