package com.example.warthunder

import android.content.Intent
import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.util.Log
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import com.example.warthunder.Api.AdapterVehicles
import com.example.warthunder.Api.ApiHttp
import com.example.warthunder.Models.Vehicles
import com.example.warthunder.databinding.ActivityVehicleBinding
import okhttp3.internal.notify
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class VehicleActivity: AppCompatActivity(), AdapterVehicles.Listener {
    lateinit var binding: ActivityVehicleBinding
    private val adapterVehicles = AdapterVehicles(this, this)
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityVehicleBinding.inflate(layoutInflater)
        setContentView(binding.root)
        GetVehicles()
        binding.CountText.addTextChangedListener(object: TextWatcher{
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {
            }

            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                var n: Int
                try {
                    n = s.toString().toInt()

                }
               catch(ex:Exception){
                   n = 200
               }
                if(n <= 0 || n>200){
                    n = 200

                }
                adapterVehicles.num = n
                adapterVehicles.notifyDataSetChanged()
            }

            override fun afterTextChanged(s: Editable?) {
            }

        })
    }
    fun GetVehicles(){
ApiHttp.retrofitApi.GetVehicles(200).enqueue(object: Callback<ArrayList<Vehicles>>{
    override fun onResponse(
        call: Call<ArrayList<Vehicles>>,
        response: Response<ArrayList<Vehicles>>
    ) {
        Log.println(Log.WARN,"API Data", response.body().toString())
        if(response.code()==200){
            val data = response.body()
InitListVehicles(data!!)
        }
    }

    override fun onFailure(call: Call<ArrayList<Vehicles>>, t: Throwable) {
        Toast.makeText(this@VehicleActivity, t.message, Toast.LENGTH_LONG).show()
    }

})
    }

    fun InitListVehicles(data: ArrayList<Vehicles>){
        with(binding){
            ItemsVehicles.adapter = adapterVehicles
            ItemsVehicles.layoutManager = LinearLayoutManager(this@VehicleActivity, LinearLayoutManager.VERTICAL, false)
            val listVehicles = data
            for(element in listVehicles){
                adapterVehicles.AddVehicles(element)
            }
        }
    }

    fun Next(){
        startActivity(Intent(this@VehicleActivity, ExpActivity::class.java))
    }

    override fun OnClick(vehicles: Vehicles) {
        val itemListDialogFragment = ItemListDialogFragment()
        val bundle = Bundle()
        bundle.putSerializable("iteminformation", vehicles)
        itemListDialogFragment.arguments = bundle
        itemListDialogFragment.show(supportFragmentManager, "pop")
    }
    companion object SelectedTag{
        var vehicle: Vehicles?= null
    }
}